#
# spec file for package libbase
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libbase
Version:        1.1.6
Release:        2.4
Summary:        JFree Base Services
License:        LGPL-2.0-only
Group:          Development/Libraries/Java
URL:            http://reporting.pentaho.org/
Source:         http://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
Source99:       libbase-rpmlintrc
#PATCH-FIX-UPSTREAM, fix some properties for build
Patch0:         libbase-1.1.6.build.patch
Patch1:         libbase-1.1.6-sourcetarget.patch
BuildRequires:  ant
BuildRequires:  ant-contrib >= 1.0b3
BuildRequires:  apache-commons-logging
BuildRequires:  java-devel >= 1.8
BuildRequires:  jpackage-utils
BuildRequires:  unzip
Requires:       apache-commons-logging
Requires:       java
Requires:       jpackage-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
LibBase is a library developed to provide base services like logging,
configuration and initialization to other libraries and applications. The
library is the root library for all Pentaho-Reporting projects.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation/HTML

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
%patch -P 0 -p1 -b .build
%patch -P 1 -p1
mkdir -p lib
find . -name "*.jar" -exec rm -f {} \;
build-jar-repository -s -p lib commons-logging-api
cd lib
ln -s %{_javadir}/ant ant-contrib

%build
ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc ChangeLog.txt licence-LGPL.txt README.txt
%{_javadir}/%{name}.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}

%changelog
* Thu Feb 29 2024 pgajdos@suse.com
- Use %%patch -P N instead of deprecated %%patchN.
* Thu Apr 21 2022 David Anes <david.anes@suse.com>
- Update to upstream version 1.1.6.
- Rebased and updated patches:
  * libbase-1.1.2.build.patch -> libbase-1.1.6.build.patch
  * libbase-1.1.3-sourcetarget.patch -> libbase-1.1.6-sourcetarget.patch
* Sun Mar 20 2022 Fridrich Strba <fstrba@suse.com>
- Modified patch:
  * libbase-1.1.3-sourcetarget.patch
    + build with source and target levels 8
* Fri Sep  8 2017 fstrba@suse.com
- Added patche:
  * libbase-1.1.3-sourcetarget.patch
    + Specify java source and target 1.6 in order to allow building
    with jdk9
* Fri Jul  4 2014 tchvatal@suse.com
- Mention libbase-rpmlintrc in spec.
* Fri Jun 27 2014 tchvatal@suse.com
- Specify buildroot
* Wed Jan  8 2014 mvyskocil@suse.com
- require ant-contrib >= 1.0b3 for build
* Tue Jan  7 2014 mvyskocil@suse.com
- Initial packaging of libbase 1.1.3 for SUSE (based on Fedora spec)
  * add libbase-1.1.2.build.patch
